/* _dict.cc 05/07/2000 01.51.54 */
/* keys.cc 08/09/2001 13.22.32 */
/* tlmpmail.cc 24/07/2000 23.47.32 */
/* addrbook.tlcc 14/09/2001 12.23.20 */
void addrbook_getpath (SSTRING&path);
int addrbook_pick (EMAILADDRS&addrs, const char *prefix);
int addrbook_pick (EMAILADDRS&addrs);
int addrbook_getfcc (const char *addr, SSTRING&fcc);
int addrbook_complete (const char *nick, EMAILADDRS&emails);
/* compose.tlcc 14/09/2001 12.23.20 */
void compose_quotereply (MAIL_MESSAGE_FULL&msg,
	 SSTRING&txt,
	 const char *prefix);
/* emailaddrs.tlcc 14/09/2001 12.23.20 */
/* filter.tlcc 14/09/2001 12.23.20 */
void filters_edit (void);
int filters_pick (SSTRING&sel);
bool filter_exist (const char *name);
/* folders.tlcc 14/09/2001 12.23.20 */
FOLDER_VIEW *folders_locate (const char *path);
void folders_update (const char *path, bool clean);
bool folders_exist (const char *path);
FOLDER_VIEW *folders_alloc (const char *path);
void folders_register (FOLDER_VIEW *f);
void folders_register (MAIL_MESSAGE *m);
void folders_free (void);
/* folder.tlcc 14/09/2001 12.23.20 */
void folder_edit (_F_folder_edit&c,
	 FOLDER_VIEW *folder,
	 const char *title,
	 FRAMEWORK_INFO&info,
	 _F_FRAMEWORK *fram);
int folder_pick (SSTRING&path);
/* folder_view.tlcc 14/09/2001 12.23.20 */
int file_folder (const char *fname, MAIL_MESSAGES&tb);
void folder_view_fieldtype (DIALOG&dia, SSTRING&type);
void folder_view_fieldproject (DIALOG&dia, SSTRING&project);
void folder_view_updatetype (const char *type);
void folder_view_updateproject (const char *prj);
/* mailmain.tlcc 14/09/2001 12.23.20 */
/* mailsend.tlcc 14/09/2001 12.23.20 */
void mailformat (MAIL_MESSAGE_FULL&msg, SSTREAM&ss);
int mailsend (_F_mailsend&c, MAIL_MESSAGE_FULL&msg);
/* mime.tlcc 14/09/2001 12.23.20 */
CONTENT_TYPE mime_parsetype (const char *content_type,
	 SSTRING&boundary);
int mime_translate (const char *s, SSTRING&dst);
int mime_translate (const SSTRING&s, SSTRING&dst);
int mime_translate (SSTRING&srcdst);
int mime_splitargs (const char *str, SSTRING_KEYS&keys);
int mime_split (_F_mime_split&c,
	 const char *body,
	 const char *boundary,
	 const char *encoding,
	 CONTENT_TYPE type,
	 bool decode);
int mime_split (_F_mime_split&c,
	 const MAIL_MESSAGE_FULL&full,
	 bool decode);
int mime_getmainmsg (const MAIL_MESSAGE_FULL&full, SSTRING&mainmsg);
void mime_doattach (ATTACH_INFO&info);
/* miscmail.tlcc 14/09/2001 12.23.20 */
void n_debug (const char *ctl, ...);
void *malloc_err (int size);
int maillock (_F_maillock&c, const char *path);
int mail_copy (MAIL_MESSAGE&msg);
void folder_getmaildir (SSTRING&s);
void folder_inbox (SSTRING&path);
void folder_2abs (const char *_path, SSTRING&path);
const char *folder_gettitle (const char *path);
time_t miscmail_parsedate (const char *line);
time_t miscmail_date2sec (const char *line);
void miscmail_formatdate (time_t date, SSTRING&s);
void miscmail_editsignature (void);
bool miscmail_filemode (const char *path, bool&mode);
void miscmail_save (MAIL_MESSAGE_FULL&msg);
int miscmail_print (MAIL_MESSAGE_FULL&msg);
void miscmail_formattext (const char *s, SSTRING&dst);
int miscmail_pickaddrs (MAIL_MESSAGE&msg,
	 EMAILADDRS&to,
	 EMAILADDRS&cc,
	 EMAILADDRS&bcc);
void miscmail_cnvhtml (const char *text, SSTRING&buf);
/* multi.tlcc 14/09/2001 12.23.20 */
/* prefs.tlcc 14/09/2001 12.23.20 */
const char *prefs_getfcc (void);
void prefs_getuserinfo (SSTRING&myname, SSTRING&myaddr);
void prefs_getmyemail (SSTRING&s);
void prefs_getmyname (SSTRING&s);
void prefs_getmyaddrs (SSTRINGS&addrs);
void prefs_edit (void);
/* thread.tlcc 14/09/2001 12.23.20 */
/* view.tlcc 14/09/2001 12.23.20 */
/* virtual.tlcc 14/09/2001 12.23.20 */
int virtual_eval (const char *expr, FOLDER_VIEWS&folds);
void virtual_edit (void);
int virtual_pick (FOLDER_VIEWS&views);
